<?php

/**
 * @author Eticons
 * @table(name=tb_sugestoes)
 */
class Sugestoes {

    /**     * @id * @column(name=id) */
    private $id;
    /**     * @column(name=usuario) */
    private $usuario;
    /**     * @column(name=texto) */
    private $texto;
    /**     * @column(name=dataEnvio, type=dateTime) */
    private $dataEnvio;
    /**     * @column(name=situacao) */
    private $situacao;

    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }

    public function getUsuario() {
        return $this->usuario;
    }

    public function setUsuario($usuario) {
        $this->usuario = $usuario;
    }

    public function getTexto() {
        return $this->texto;
    }

    public function setTexto($texto) {
        $this->texto = $texto;
    }

    public function getDataEnvio() {
        return $this->dataEnvio;
    }

    public function setDataEnvio($dataEnvio) {
        $this->dataEnvio = $dataEnvio;
    }

    public function getSituacao() {
        return $this->situacao;
    }

    public function setSituacao($situacao) {
        $this->situacao = $situacao;
    }

}

?>
